// TOTAL PARA LA CONFIGURACION SE ACCESORIOS
// Obtiene los elementos input por su ID
const botiquin = document.getElementById('botiquin');
const extintor = document.getElementById('extintor');
const gata = document.getElementById('gata');
const triangulo = document.getElementById('triangulo');
const cono = document.getElementById('cono');
const corriente = document.getElementById('corriente');
const remolque = document.getElementById('remolque');
const total = document.getElementById('total');


// Agrega un evento de input a cada campo
botiquin.addEventListener('input', calcularTotal);
extintor.addEventListener('input', calcularTotal);
gata.addEventListener('input', calcularTotal);
triangulo.addEventListener('input', calcularTotal);
cono.addEventListener('input', calcularTotal);
corriente.addEventListener('input', calcularTotal);
remolque.addEventListener('input', calcularTotal);


// Función para calcular el total, resultado y mostrarlo en el campo respectivo
function calcularTotal() {
    const valbotiquin = parseFloat(botiquin.value) || 0; // Convierte a número o asigna 0 si no es válido
    const valextintor = parseFloat(extintor.value) || 0;
    const valgata = parseFloat(gata.value) || 0;
    const valtriangulo = parseFloat(triangulo.value) || 0;
    const valcono = parseFloat(cono.value) || 0;
    const valcorriente = parseFloat(corriente.value) || 0;
    const valremolque = parseFloat(remolque.value) || 0;
    const valtotal = valbotiquin/12 + valextintor/12 + valgata/60 + valtriangulo/60 + valcono/60 + valcorriente/60 + valremolque/60;

    total.value = valtotal.toFixed(2); // Muestra el total con 2 decimales
   
}

